module "my-vm" {
  source = "./modules"
}

variable "tags" {
  type = list
  default = []
}

resource "random_string" "random_gen" {
  length           = 16
  special          = false
  lower = true
  upper = false
  number = false
}

resource "google_compute_instance" "default_instance" {
  name         = random_string.random_gen.result
  machine_type = "e2-medium"
  zone         = "us-central1-c"
  project      = "united-night-342921"
  tags = var.tags

  allow_stopping_for_update = true
  boot_disk {
    initialize_params {
      image = "debian-cloud/debian-9"
    }
  }

  network_interface {
    network = "default"
    access_config {
      // Ephemeral public IP
    }
  }
}